.yt-wrapper {
    position: relative;
    max-width: 853px;
    aspect-ratio: 16 / 9;
    cursor: pointer;
    background: #000;
    border-radius: 10px;
    overflow: hidden;
}

.yt-thumbnail {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

/* Banner superior */
.yt-banner {
    position: absolute;
    top: 0;
    width: 100%;
    padding: 10px 16px;
    background: linear-gradient(to bottom, rgba(0,0,0,.7), transparent);
    color: #fff;
    font-weight: 600;
    font-size: 14px;
}

/* Botón Play */
.yt-play-btn {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 70px;
    height: 70px;
    background: rgba(0,0,0,.6);
    border-radius: 50%;
    transform: translate(-50%, -50%);
    border: none;
}

.yt-play-btn::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 55%;
    transform: translate(-50%, -50%);
    border-style: solid;
    border-width: 12px 0 12px 20px;
    border-color: transparent transparent transparent white;
}
